org.jbpm.persistence.timer

## Class GlobalJPATimerJobFactoryManager

- java.lang.Object
- - org.jbpm.persistence.timer.GlobalJPATimerJobFactoryManager

- All Implemented Interfaces:
    org.drools.core.time.impl.CommandServiceTimerJobFactoryManager, org.drools.core.time.impl.TimerJobFactoryManager

      public class GlobalJPATimerJobFactoryManager
      extends Object
      implements org.drools.core.time.impl.CommandServiceTimerJobFactoryManager

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlobalJPATimerJobFactoryManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTimerJobInstance(org.drools.core.time.impl.TimerJobInstance instance)`
    `org.drools.core.time.impl.TimerJobInstance` | `createTimerJobInstance(org.drools.core.time.Job job, org.drools.core.time.JobContext ctx, org.drools.core.time.Trigger trigger, org.drools.core.time.JobHandle handle, org.drools.core.time.InternalSchedulerService scheduler)`
    `org.kie.api.runtime.ExecutableRunner` | `getRunner()`
    `Collection<org.drools.core.time.impl.TimerJobInstance>` | `getTimerJobInstances()`
    `Collection<org.drools.core.time.impl.TimerJobInstance>` | `getTimerJobInstances(Long sessionId)`
    `void` | `removeTimerJobInstance(org.drools.core.time.impl.TimerJobInstance instance)`
    `void` | `setRunner(org.kie.api.runtime.ExecutableRunner runner)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GlobalJPATimerJobFactoryManager

          public GlobalJPATimerJobFactoryManager()

  - ### Method Detail

    - #### setRunner

          public void setRunner(org.kie.api.runtime.ExecutableRunner runner)

      Specified by:
        `setRunner` in interface `org.drools.core.time.impl.CommandServiceTimerJobFactoryManager`

    - #### createTimerJobInstance

          public org.drools.core.time.impl.TimerJobInstance createTimerJobInstance(org.drools.core.time.Job job,
                                                                                   org.drools.core.time.JobContext ctx,
                                                                                   org.drools.core.time.Trigger trigger,
                                                                                   org.drools.core.time.JobHandle handle,
                                                                                   org.drools.core.time.InternalSchedulerService scheduler)

      Specified by:
        `createTimerJobInstance` in interface `org.drools.core.time.impl.TimerJobFactoryManager`

    - #### addTimerJobInstance

          public void addTimerJobInstance(org.drools.core.time.impl.TimerJobInstance instance)

      Specified by:
        `addTimerJobInstance` in interface `org.drools.core.time.impl.TimerJobFactoryManager`

    - #### removeTimerJobInstance

          public void removeTimerJobInstance(org.drools.core.time.impl.TimerJobInstance instance)

      Specified by:
        `removeTimerJobInstance` in interface `org.drools.core.time.impl.TimerJobFactoryManager`

    - #### getTimerJobInstances

          public Collection<org.drools.core.time.impl.TimerJobInstance> getTimerJobInstances()

      Specified by:
        `getTimerJobInstances` in interface `org.drools.core.time.impl.TimerJobFactoryManager`

    - #### getTimerJobInstances

          public Collection<org.drools.core.time.impl.TimerJobInstance> getTimerJobInstances(Long sessionId)

    - #### getRunner

          public org.kie.api.runtime.ExecutableRunner getRunner()

      Specified by:
        `getRunner` in interface `org.drools.core.time.impl.CommandServiceTimerJobFactoryManager`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.